Python (SDK)
from compass_api_sdk import CompassAPI, models
with CompassAPI(
api_key_auth="<YOUR_API_KEY_HERE>",
) as compass_api:
res = compass_api.token.token_price(chain=models.V1TokenPriceChain.ETHEREUM, token="USDC")
# Handle response
print(res)import { CompassApiSDK } from "@compass-labs/api-sdk";
const compassApiSDK = new CompassApiSDK({
apiKeyAuth: "<YOUR_API_KEY_HERE>",
});
async function run() {
const result = await compassApiSDK.token.tokenPrice({
chain: "ethereum",
token: "USDC",
});
console.log(result);
}
run();curl --request GET \
--url https://api.compasslabs.ai/v1/token/price \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.compasslabs.ai/v1/token/price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"price": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Token
Token Price
Retrieves the price of a token in USD.
GET
/
v1
/
token
/
price
Python (SDK)
from compass_api_sdk import CompassAPI, models
with CompassAPI(
api_key_auth="<YOUR_API_KEY_HERE>",
) as compass_api:
res = compass_api.token.token_price(chain=models.V1TokenPriceChain.ETHEREUM, token="USDC")
# Handle response
print(res)import { CompassApiSDK } from "@compass-labs/api-sdk";
const compassApiSDK = new CompassApiSDK({
apiKeyAuth: "<YOUR_API_KEY_HERE>",
});
async function run() {
const result = await compassApiSDK.token.tokenPrice({
chain: "ethereum",
token: "USDC",
});
console.log(result);
}
run();Query Parameters
Available options:
arbitrum, base, ethereum Optional block number (defaults to latest).
The symbol or address of the token for which to get the price.. A token identifier - either a supported symbol (e.g., USDC, WETH) or a valid Ethereum address (0x...)
Examples:
"USDC"
"WETH"
"0xA0b86a33E6441ccF30EE5DdEF1E9b652C91ac1c8"
Response
Successful Response
Price of the token in USD
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Example:
2000
Was this page helpful?
⌘I